#
# Turbo-C makefile for the PICHEX package in library form.
#

CC = tcc -DLIBVERSION
LIB = tlib

OBJFILES  = swaphex.obj combhex.obj jm2hex.obj hex2jm.obj \
	     splithex.obj whathex.obj cmphex.obj addcfg.obj addid.obj \
	     list2hex.obj hex2list.obj hex.obj misc.obj

LIBCMD1  = +swaphex.obj +combhex.obj +jm2hex.obj +hex2jm.obj
LIBCMD2  = +splithex.obj +whathex.obj +cmphex.obj +addcfg.obj +addid.obj
LIBCMD3  = +list2hex.obj +hex2list.obj +hex.obj +misc.obj


lib:            $(OBJFILES)
		DEL pichex.lib
		$(LIB) pichex.lib /C $(LIBCMD1)
		$(LIB) pichex.lib /C $(LIBCMD2)
		$(LIB) pichex.lib /C $(LIBCMD3)

